<?xml version="1.0" encoding="UTF-8" ?>
<library xmlns="http://www.sap.com/sap.ui.library.xsd" >

  <name>sap.ushell</name>
  <vendor>SAP SE</vendor>
  <version>1.78.0</version>
  <copyright>Copyright (c) 2009-2020 SAP SE, All Rights Reserved</copyright>

  <documentation>SAP library: sap.ushell</documentation>

  <dependencies>
    <dependency>
      <libraryName>sap.ui.core</libraryName>
    </dependency>
    <dependency>
      <libraryName>sap.ui.layout</libraryName>
    </dependency>
    <dependency>
      <libraryName>sap.m</libraryName>
    </dependency>
    <dependency>
      <libraryName>sap.ui.table</libraryName>
      <lazy>true</lazy>
    </dependency>
    <dependency>
      <libraryName>sap.ui.integration</libraryName>
      <lazy>true</lazy>
    </dependency>
    <dependency>
      <libraryName>sap.ui.generic.app</libraryName>
      <lazy>true</lazy>
    </dependency>
  </dependencies>

  <appData>
    <!-- Selenium references -->
    <selenium xmlns="http://www.sap.com/ui5/buildext/selenium" package="com.sap.ushell.selenium" />
    <!-- Thirdparty references -->
    <thirdparty xmlns="http://www.sap.com/ui5/buildext/thirdparty" >
      <lib name="touchpunch" displayName="jQuery UI Touch Punch" homepage="http://touchpunch.furf.com/">
        <license url="http://touchpunch.furf.com/mit.txt" type="MIT License" file="./thirdparty/licenses/touchpunch-MIT-LICENSE.txt" />
      </lib>
      <lib name="resize_event" displayName="jQuery resize event" homepage="http://benalman.com/projects/jquery-resize-plugin/">
        <license url="http://benalman.com/about/license/" type="MIT License" file="./thirdparty/licenses/resize-MIT-LICENSE.txt" />
      </lib>
    </thirdparty>
    <documentation xmlns="http://www.sap.com/ui5/buildext/documentation"
            indexUrl="../../../test-resources/sap/ushell/demokit/docuindex.json"
            resolve="lib" />
    <jsdoc xmlns="http://www.sap.com/ui5/buildext/jsdoc" >
        <exclude name="sap.ushell.bootstrap.core-min*" />
        <exclude name="sap.ushell.bootstrap.cdm*" />
    </jsdoc>
    <packaging xmlns="http://www.sap.com/ui5/buildext/packaging" version="2.0" >
      <module-infos>
        <raw-module name="sap/ushell/bootstrap/ui5loader-config.js" depends="ui5loader.js" />
      </module-infos>
      <all-in-one>
        <exclude name="sap/ushell/shells/rag/templates/" />
      </all-in-one>
    </packaging>
   </appData>

</library>